Bug 1824390 - /usr/bin/README.md installed by bwa
Summary: /usr/bin/README.md installed by bwa
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bwa
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-16 05:26 UTC by Jun Aruga
Modified: 2020-04-26 03:19 UTC (History)
1 user (show)

Fixed In Version: bwa-0.7.17-1.fc32 bwa-0.7.17-1.fc31 bwa-0.7.17-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:24:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Jun Aruga 2020-04-16 05:26:11 UTC
Description of problem:

Current bwa package installs README.md file to /usr/bin.
This could be improved. And the file triggers the conflicts with other RPMs.

```
<mock-chroot> sh-5.0# rpm -q bwa
bwa-0.7.15-9.fc31.x86_64

<mock-chroot> sh-5.0# rpm -ql bwa
/usr/bin/README.md
/usr/bin/bwa
/usr/bin/bwa-postalt.js
/usr/bin/qualfa2fq.pl
/usr/bin/run-HLA
/usr/bin/run-bwamem
/usr/bin/run-gen-ref
/usr/bin/typeHLA-selctg.js
/usr/bin/typeHLA.js
/usr/bin/typeHLA.sh
/usr/bin/xa2multi.pl
/usr/lib/.build-id
/usr/lib/.build-id/a0
/usr/lib/.build-id/a0/cb0c352292bbc33f4f580956382f736fd45e15
/usr/share/doc/bwa
/usr/share/doc/bwa/COPYING
/usr/share/doc/bwa/NEWS.md
/usr/share/doc/bwa/README-alt.md
/usr/share/doc/bwa/README.md
/usr/share/man/man1/bwa.1.gz
```

This issue comes from the following part.

bwa.spec

```
install -m 0755 bwakit/* %{buildroot}/%{_bindir}
```

I think it is encouraged to list up the /usr/bin files explicitly rather than setting %{_bindir}/* in the %files section.


Version-Release number of selected component (if applicable):
bwa-0.7.15-9.fc31.x86_64

How reproducible:


Steps to Reproduce:
1. Install bwa RPM
2. Run `rpm -ql bwa`.


Actual results:
`/usr/bin/README.md` is included in the result of `rpm -ql bwa`


Expected results:
`/usr/bin/README.md` is not included in the result of `rpm -ql bwa`


Additional info:

I sent the pull-request to fix the issue.
https://src.fedoraproject.org/rpms/bwa/pull-request/2

Comment 1 Fedora Update System 2020-04-16 20:56:48 UTC
FEDORA-2020-9d49653a14 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9d49653a14

Comment 2 Fedora Update System 2020-04-16 20:57:33 UTC
FEDORA-2020-ee194c5ad2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee194c5ad2

Comment 3 Fedora Update System 2020-04-16 21:20:16 UTC
FEDORA-2020-63b33e0c88 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-63b33e0c88

Comment 4 Fedora Update System 2020-04-17 22:06:42 UTC
FEDORA-2020-ee194c5ad2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ee194c5ad2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee194c5ad2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-17 23:47:09 UTC
FEDORA-2020-9d49653a14 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9d49653a14`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9d49653a14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-18 00:40:03 UTC
FEDORA-2020-63b33e0c88 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-63b33e0c88`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-63b33e0c88

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-25 02:24:55 UTC
FEDORA-2020-ee194c5ad2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-04-26 02:48:14 UTC
FEDORA-2020-9d49653a14 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-26 03:19:20 UTC
FEDORA-2020-63b33e0c88 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.